LLVM: lldb::SBType Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBType Class Reference

`#include <SBType.h>`

Collaboration diagram for lldb::SBType:
[legend]

## Public Member Functions
| SBType ()
| SBType (const lldb::SBType &rhs)
| ~SBType ()
bool | IsValid () const
uint64_t | GetByteSize ()
bool | IsPointerType ()
bool | IsReferenceType ()
bool | IsFunctionType ()
bool | IsPolymorphicClass ()
lldb::SBType | GetPointerType ()
lldb::SBType | GetPointeeType ()
lldb::SBType | GetReferenceType ()
lldb::SBType | GetDereferencedType ()
lldb::SBType | GetUnqualifiedType ()
lldb::SBType | GetCanonicalType ()
lldb::BasicType | GetBasicType ()
lldb::SBType | GetBasicType (lldb::BasicType type)
uint32_t | GetNumberOfFields ()
uint32_t | GetNumberOfDirectBaseClasses ()
uint32_t | GetNumberOfVirtualBaseClasses ()
lldb::SBTypeMember | GetFieldAtIndex (uint32_t idx)
lldb::SBTypeMember | GetDirectBaseClassAtIndex (uint32_t idx)
lldb::SBTypeMember | GetVirtualBaseClassAtIndex (uint32_t idx)
uint32_t | GetNumberOfTemplateArguments ()
lldb::SBType | GetTemplateArgumentType (uint32_t idx)
lldb::TemplateArgumentKind | GetTemplateArgumentKind (uint32_t idx)
lldb::SBType | GetFunctionReturnType ()
lldb::SBTypeList | GetFunctionArgumentTypes ()
const char * | GetName ()
lldb::TypeClass | GetTypeClass ()
bool | IsTypeComplete ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBType & | operator= (const lldb::SBType &rhs)
bool | operator== (lldb::SBType &rhs)
bool | operator!= (lldb::SBType &rhs)

## Protected Member Functions
lldb_private::TypeImpl & | ref ()
const lldb_private::TypeImpl & | ref () const
lldb::TypeImplSP | GetSP ()
void | SetSP (const lldb::TypeImplSP &type_impl_sp)
| SBType (const lldb_private::ClangASTType &)
| SBType (const lldb::TypeSP &)
| SBType (const lldb::TypeImplSP &)

## Protected Attributes
lldb::TypeImplSP | m_opaque_sp

## Friends
class | SBFunction
class | SBModule
class | SBTarget
class | SBTypeNameSpecifier
class | SBTypeMember
class | SBTypeList
class | SBValue

## Detailed Description

Definition at line 71 of file SBType.h.

## Constructor & Destructor Documentation

lldb::SBType::SBType | ( |  | ) |

lldb::SBType::SBType | ( | const lldb::SBType & | rhs | ) |

lldb::SBType::~SBType | ( |  | ) |

lldb::SBType::SBType | ( | const lldb_private::ClangASTType & |  | ) |
| protected

lldb::SBType::SBType | ( | const lldb::TypeSP & |  | ) |
| protected

lldb::SBType::SBType | ( | const lldb::TypeImplSP & |  | ) |
| protected

## Member Function Documentation

lldb::BasicType lldb::SBType::GetBasicType | ( |  | ) |

lldb::SBType lldb::SBType::GetBasicType | ( | lldb::BasicType | type | ) |

uint64_t lldb::SBType::GetByteSize | ( |  | ) |

lldb::SBType lldb::SBType::GetCanonicalType | ( |  | ) |

lldb::SBType lldb::SBType::GetDereferencedType | ( |  | ) |

bool lldb::SBType::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

lldb::SBTypeMember lldb::SBType::GetDirectBaseClassAtIndex | ( | uint32_t | idx | ) |

lldb::SBTypeMember lldb::SBType::GetFieldAtIndex | ( | uint32_t | idx | ) |

lldb::SBTypeList lldb::SBType::GetFunctionArgumentTypes | ( |  | ) |

lldb::SBType lldb::SBType::GetFunctionReturnType | ( |  | ) |

const char* lldb::SBType::GetName | ( |  | ) |

uint32_t lldb::SBType::GetNumberOfDirectBaseClasses | ( |  | ) |

uint32_t lldb::SBType::GetNumberOfFields | ( |  | ) |

uint32_t lldb::SBType::GetNumberOfTemplateArguments | ( |  | ) |

uint32_t lldb::SBType::GetNumberOfVirtualBaseClasses | ( |  | ) |

lldb::SBType lldb::SBType::GetPointeeType | ( |  | ) |

lldb::SBType lldb::SBType::GetPointerType | ( |  | ) |

lldb::SBType lldb::SBType::GetReferenceType | ( |  | ) |

lldb::TypeImplSP lldb::SBType::GetSP | ( |  | ) |
| protected

lldb::TemplateArgumentKind lldb::SBType::GetTemplateArgumentKind | ( | uint32_t | idx | ) |

lldb::SBType lldb::SBType::GetTemplateArgumentType | ( | uint32_t | idx | ) |

lldb::TypeClass lldb::SBType::GetTypeClass | ( |  | ) |

lldb::SBType lldb::SBType::GetUnqualifiedType | ( |  | ) |

lldb::SBTypeMember lldb::SBType::GetVirtualBaseClassAtIndex | ( | uint32_t | idx | ) |

bool lldb::SBType::IsFunctionType | ( |  | ) |

bool lldb::SBType::IsPointerType | ( |  | ) |

bool lldb::SBType::IsPolymorphicClass | ( |  | ) |

bool lldb::SBType::IsReferenceType | ( |  | ) |

bool lldb::SBType::IsTypeComplete | ( |  | ) |

bool lldb::SBType::IsValid | ( |  | ) | const

bool lldb::SBType::operator!= | ( | lldb::SBType & | rhs | ) |

lldb::SBType& lldb::SBType::operator= | ( | const lldb::SBType & | rhs | ) |

bool lldb::SBType::operator== | ( | lldb::SBType & | rhs | ) |

lldb_private::TypeImpl& lldb::SBType::ref | ( |  | ) |
| protected

const lldb_private::TypeImpl& lldb::SBType::ref | ( |  | ) | const
| protected

void lldb::SBType::SetSP | ( | const lldb::TypeImplSP & | type_impl_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBFunction
| friend

Definition at line 196 of file SBType.h.

friend class SBModule
| friend

Definition at line 197 of file SBType.h.

friend class SBTarget
| friend

Definition at line 198 of file SBType.h.

friend class SBTypeList
| friend

Definition at line 201 of file SBType.h.

friend class SBTypeMember
| friend

Definition at line 200 of file SBType.h.

friend class SBTypeNameSpecifier
| friend

Definition at line 199 of file SBType.h.

friend class SBValue
| friend

Definition at line 202 of file SBType.h.

## Member Data Documentation

lldb::TypeImplSP lldb::SBType::m_opaque_sp
| protected

Definition at line 194 of file SBType.h.

The documentation for this class was generated from the following file:

- SBType.h